IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network71.14.0.0/15
Usable hosts131,070
Subnet mask255.254.0.0
Addresses131,072
- Network address
71.14.0.0- Broadcast address
71.15.255.255- First usable
71.14.0.1- Last usable
71.15.255.254- Usable hosts
- 131,070 (131,072 less the network and broadcast addresses)
- Subnet mask
255.254.0.0- Wildcard mask
0.1.255.255(Cisco ACLs, OSPF)- Prefix length
- /15
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
470E0000· Integer1192099840to1192230911 - Reverse DNS zones
14.71.in-addr.arpa15.71.in-addr.arpa
/15 is not on a 8-bit boundary, so it takes 2 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 01000111.00001110.00000000.00000000 | 71.14.0.0 |
| Subnet mask | 11111111.11111110.00000000.00000000 | 255.254.0.0 |
| Network | 01000111.00001110.00000000.00000000 | 71.14.0.0 |
| Broadcast | 01000111.00001111.11111111.11111111 | 71.15.255.255 |
Split into smaller subnets
/16 (2)/17 (4)/18 (8)/19 (16)/20 (32)/21 (64)/22 (128)/23 (256)/24 (512)/25 (1,024)/26 (2,048)/27 (4,096)
71.14.0.0/15 makes 256 subnets of /23.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 71.14.0.0/23 | 71.14.0.1 to 71.14.1.254 | 71.14.1.255 | 510 |
| 2 | 71.14.2.0/23 | 71.14.2.1 to 71.14.3.254 | 71.14.3.255 | 510 |
| 3 | 71.14.4.0/23 | 71.14.4.1 to 71.14.5.254 | 71.14.5.255 | 510 |
| 4 | 71.14.6.0/23 | 71.14.6.1 to 71.14.7.254 | 71.14.7.255 | 510 |
| 5 | 71.14.8.0/23 | 71.14.8.1 to 71.14.9.254 | 71.14.9.255 | 510 |
| 6 | 71.14.10.0/23 | 71.14.10.1 to 71.14.11.254 | 71.14.11.255 | 510 |
| 7 | 71.14.12.0/23 | 71.14.12.1 to 71.14.13.254 | 71.14.13.255 | 510 |
| 8 | 71.14.14.0/23 | 71.14.14.1 to 71.14.15.254 | 71.14.15.255 | 510 |
| 9 | 71.14.16.0/23 | 71.14.16.1 to 71.14.17.254 | 71.14.17.255 | 510 |
| 10 | 71.14.18.0/23 | 71.14.18.1 to 71.14.19.254 | 71.14.19.255 | 510 |
| 11 | 71.14.20.0/23 | 71.14.20.1 to 71.14.21.254 | 71.14.21.255 | 510 |
| 12 | 71.14.22.0/23 | 71.14.22.1 to 71.14.23.254 | 71.14.23.255 | 510 |
| 13 | 71.14.24.0/23 | 71.14.24.1 to 71.14.25.254 | 71.14.25.255 | 510 |
| 14 | 71.14.26.0/23 | 71.14.26.1 to 71.14.27.254 | 71.14.27.255 | 510 |
| 15 | 71.14.28.0/23 | 71.14.28.1 to 71.14.29.254 | 71.14.29.255 | 510 |
| 16 | 71.14.30.0/23 | 71.14.30.1 to 71.14.31.254 | 71.14.31.255 | 510 |
| 17 | 71.14.32.0/23 | 71.14.32.1 to 71.14.33.254 | 71.14.33.255 | 510 |
| 18 | 71.14.34.0/23 | 71.14.34.1 to 71.14.35.254 | 71.14.35.255 | 510 |
| 19 | 71.14.36.0/23 | 71.14.36.1 to 71.14.37.254 | 71.14.37.255 | 510 |
| 20 | 71.14.38.0/23 | 71.14.38.1 to 71.14.39.254 | 71.14.39.255 | 510 |
| 21 | 71.14.40.0/23 | 71.14.40.1 to 71.14.41.254 | 71.14.41.255 | 510 |
| 22 | 71.14.42.0/23 | 71.14.42.1 to 71.14.43.254 | 71.14.43.255 | 510 |
| 23 | 71.14.44.0/23 | 71.14.44.1 to 71.14.45.254 | 71.14.45.255 | 510 |
| 24 | 71.14.46.0/23 | 71.14.46.1 to 71.14.47.254 | 71.14.47.255 | 510 |
| 25 | 71.14.48.0/23 | 71.14.48.1 to 71.14.49.254 | 71.14.49.255 | 510 |
| 26 | 71.14.50.0/23 | 71.14.50.1 to 71.14.51.254 | 71.14.51.255 | 510 |
| 27 | 71.14.52.0/23 | 71.14.52.1 to 71.14.53.254 | 71.14.53.255 | 510 |
| 28 | 71.14.54.0/23 | 71.14.54.1 to 71.14.55.254 | 71.14.55.255 | 510 |
| 29 | 71.14.56.0/23 | 71.14.56.1 to 71.14.57.254 | 71.14.57.255 | 510 |
| 30 | 71.14.58.0/23 | 71.14.58.1 to 71.14.59.254 | 71.14.59.255 | 510 |
| 31 | 71.14.60.0/23 | 71.14.60.1 to 71.14.61.254 | 71.14.61.255 | 510 |
| 32 | 71.14.62.0/23 | 71.14.62.1 to 71.14.63.254 | 71.14.63.255 | 510 |
| 33 | 71.14.64.0/23 | 71.14.64.1 to 71.14.65.254 | 71.14.65.255 | 510 |
| 34 | 71.14.66.0/23 | 71.14.66.1 to 71.14.67.254 | 71.14.67.255 | 510 |
| 35 | 71.14.68.0/23 | 71.14.68.1 to 71.14.69.254 | 71.14.69.255 | 510 |
| 36 | 71.14.70.0/23 | 71.14.70.1 to 71.14.71.254 | 71.14.71.255 | 510 |
| 37 | 71.14.72.0/23 | 71.14.72.1 to 71.14.73.254 | 71.14.73.255 | 510 |
| 38 | 71.14.74.0/23 | 71.14.74.1 to 71.14.75.254 | 71.14.75.255 | 510 |
| 39 | 71.14.76.0/23 | 71.14.76.1 to 71.14.77.254 | 71.14.77.255 | 510 |
| 40 | 71.14.78.0/23 | 71.14.78.1 to 71.14.79.254 | 71.14.79.255 | 510 |
| 41 | 71.14.80.0/23 | 71.14.80.1 to 71.14.81.254 | 71.14.81.255 | 510 |
| 42 | 71.14.82.0/23 | 71.14.82.1 to 71.14.83.254 | 71.14.83.255 | 510 |
| 43 | 71.14.84.0/23 | 71.14.84.1 to 71.14.85.254 | 71.14.85.255 | 510 |
| 44 | 71.14.86.0/23 | 71.14.86.1 to 71.14.87.254 | 71.14.87.255 | 510 |
| 45 | 71.14.88.0/23 | 71.14.88.1 to 71.14.89.254 | 71.14.89.255 | 510 |
| 46 | 71.14.90.0/23 | 71.14.90.1 to 71.14.91.254 | 71.14.91.255 | 510 |
| 47 | 71.14.92.0/23 | 71.14.92.1 to 71.14.93.254 | 71.14.93.255 | 510 |
| 48 | 71.14.94.0/23 | 71.14.94.1 to 71.14.95.254 | 71.14.95.255 | 510 |
| 49 | 71.14.96.0/23 | 71.14.96.1 to 71.14.97.254 | 71.14.97.255 | 510 |
| 50 | 71.14.98.0/23 | 71.14.98.1 to 71.14.99.254 | 71.14.99.255 | 510 |
| 51 | 71.14.100.0/23 | 71.14.100.1 to 71.14.101.254 | 71.14.101.255 | 510 |
| 52 | 71.14.102.0/23 | 71.14.102.1 to 71.14.103.254 | 71.14.103.255 | 510 |
| 53 | 71.14.104.0/23 | 71.14.104.1 to 71.14.105.254 | 71.14.105.255 | 510 |
| 54 | 71.14.106.0/23 | 71.14.106.1 to 71.14.107.254 | 71.14.107.255 | 510 |
| 55 | 71.14.108.0/23 | 71.14.108.1 to 71.14.109.254 | 71.14.109.255 | 510 |
| 56 | 71.14.110.0/23 | 71.14.110.1 to 71.14.111.254 | 71.14.111.255 | 510 |
| 57 | 71.14.112.0/23 | 71.14.112.1 to 71.14.113.254 | 71.14.113.255 | 510 |
| 58 | 71.14.114.0/23 | 71.14.114.1 to 71.14.115.254 | 71.14.115.255 | 510 |
| 59 | 71.14.116.0/23 | 71.14.116.1 to 71.14.117.254 | 71.14.117.255 | 510 |
| 60 | 71.14.118.0/23 | 71.14.118.1 to 71.14.119.254 | 71.14.119.255 | 510 |
| 61 | 71.14.120.0/23 | 71.14.120.1 to 71.14.121.254 | 71.14.121.255 | 510 |
| 62 | 71.14.122.0/23 | 71.14.122.1 to 71.14.123.254 | 71.14.123.255 | 510 |
| 63 | 71.14.124.0/23 | 71.14.124.1 to 71.14.125.254 | 71.14.125.255 | 510 |
| 64 | 71.14.126.0/23 | 71.14.126.1 to 71.14.127.254 | 71.14.127.255 | 510 |
| 65 | 71.14.128.0/23 | 71.14.128.1 to 71.14.129.254 | 71.14.129.255 | 510 |
| 66 | 71.14.130.0/23 | 71.14.130.1 to 71.14.131.254 | 71.14.131.255 | 510 |
| 67 | 71.14.132.0/23 | 71.14.132.1 to 71.14.133.254 | 71.14.133.255 | 510 |
| 68 | 71.14.134.0/23 | 71.14.134.1 to 71.14.135.254 | 71.14.135.255 | 510 |
| 69 | 71.14.136.0/23 | 71.14.136.1 to 71.14.137.254 | 71.14.137.255 | 510 |
| 70 | 71.14.138.0/23 | 71.14.138.1 to 71.14.139.254 | 71.14.139.255 | 510 |
| 71 | 71.14.140.0/23 | 71.14.140.1 to 71.14.141.254 | 71.14.141.255 | 510 |
| 72 | 71.14.142.0/23 | 71.14.142.1 to 71.14.143.254 | 71.14.143.255 | 510 |
| 73 | 71.14.144.0/23 | 71.14.144.1 to 71.14.145.254 | 71.14.145.255 | 510 |
| 74 | 71.14.146.0/23 | 71.14.146.1 to 71.14.147.254 | 71.14.147.255 | 510 |
| 75 | 71.14.148.0/23 | 71.14.148.1 to 71.14.149.254 | 71.14.149.255 | 510 |
| 76 | 71.14.150.0/23 | 71.14.150.1 to 71.14.151.254 | 71.14.151.255 | 510 |
| 77 | 71.14.152.0/23 | 71.14.152.1 to 71.14.153.254 | 71.14.153.255 | 510 |
| 78 | 71.14.154.0/23 | 71.14.154.1 to 71.14.155.254 | 71.14.155.255 | 510 |
| 79 | 71.14.156.0/23 | 71.14.156.1 to 71.14.157.254 | 71.14.157.255 | 510 |
| 80 | 71.14.158.0/23 | 71.14.158.1 to 71.14.159.254 | 71.14.159.255 | 510 |
| 81 | 71.14.160.0/23 | 71.14.160.1 to 71.14.161.254 | 71.14.161.255 | 510 |
| 82 | 71.14.162.0/23 | 71.14.162.1 to 71.14.163.254 | 71.14.163.255 | 510 |
| 83 | 71.14.164.0/23 | 71.14.164.1 to 71.14.165.254 | 71.14.165.255 | 510 |
| 84 | 71.14.166.0/23 | 71.14.166.1 to 71.14.167.254 | 71.14.167.255 | 510 |
| 85 | 71.14.168.0/23 | 71.14.168.1 to 71.14.169.254 | 71.14.169.255 | 510 |
| 86 | 71.14.170.0/23 | 71.14.170.1 to 71.14.171.254 | 71.14.171.255 | 510 |
| 87 | 71.14.172.0/23 | 71.14.172.1 to 71.14.173.254 | 71.14.173.255 | 510 |
| 88 | 71.14.174.0/23 | 71.14.174.1 to 71.14.175.254 | 71.14.175.255 | 510 |
| 89 | 71.14.176.0/23 | 71.14.176.1 to 71.14.177.254 | 71.14.177.255 | 510 |
| 90 | 71.14.178.0/23 | 71.14.178.1 to 71.14.179.254 | 71.14.179.255 | 510 |
| 91 | 71.14.180.0/23 | 71.14.180.1 to 71.14.181.254 | 71.14.181.255 | 510 |
| 92 | 71.14.182.0/23 | 71.14.182.1 to 71.14.183.254 | 71.14.183.255 | 510 |
| 93 | 71.14.184.0/23 | 71.14.184.1 to 71.14.185.254 | 71.14.185.255 | 510 |
| 94 | 71.14.186.0/23 | 71.14.186.1 to 71.14.187.254 | 71.14.187.255 | 510 |
| 95 | 71.14.188.0/23 | 71.14.188.1 to 71.14.189.254 | 71.14.189.255 | 510 |
| 96 | 71.14.190.0/23 | 71.14.190.1 to 71.14.191.254 | 71.14.191.255 | 510 |
| 97 | 71.14.192.0/23 | 71.14.192.1 to 71.14.193.254 | 71.14.193.255 | 510 |
| 98 | 71.14.194.0/23 | 71.14.194.1 to 71.14.195.254 | 71.14.195.255 | 510 |
| 99 | 71.14.196.0/23 | 71.14.196.1 to 71.14.197.254 | 71.14.197.255 | 510 |
| 100 | 71.14.198.0/23 | 71.14.198.1 to 71.14.199.254 | 71.14.199.255 | 510 |
| 101 | 71.14.200.0/23 | 71.14.200.1 to 71.14.201.254 | 71.14.201.255 | 510 |
| 102 | 71.14.202.0/23 | 71.14.202.1 to 71.14.203.254 | 71.14.203.255 | 510 |
| 103 | 71.14.204.0/23 | 71.14.204.1 to 71.14.205.254 | 71.14.205.255 | 510 |
| 104 | 71.14.206.0/23 | 71.14.206.1 to 71.14.207.254 | 71.14.207.255 | 510 |
| 105 | 71.14.208.0/23 | 71.14.208.1 to 71.14.209.254 | 71.14.209.255 | 510 |
| 106 | 71.14.210.0/23 | 71.14.210.1 to 71.14.211.254 | 71.14.211.255 | 510 |
| 107 | 71.14.212.0/23 | 71.14.212.1 to 71.14.213.254 | 71.14.213.255 | 510 |
| 108 | 71.14.214.0/23 | 71.14.214.1 to 71.14.215.254 | 71.14.215.255 | 510 |
| 109 | 71.14.216.0/23 | 71.14.216.1 to 71.14.217.254 | 71.14.217.255 | 510 |
| 110 | 71.14.218.0/23 | 71.14.218.1 to 71.14.219.254 | 71.14.219.255 | 510 |
| 111 | 71.14.220.0/23 | 71.14.220.1 to 71.14.221.254 | 71.14.221.255 | 510 |
| 112 | 71.14.222.0/23 | 71.14.222.1 to 71.14.223.254 | 71.14.223.255 | 510 |
| 113 | 71.14.224.0/23 | 71.14.224.1 to 71.14.225.254 | 71.14.225.255 | 510 |
| 114 | 71.14.226.0/23 | 71.14.226.1 to 71.14.227.254 | 71.14.227.255 | 510 |
| 115 | 71.14.228.0/23 | 71.14.228.1 to 71.14.229.254 | 71.14.229.255 | 510 |
| 116 | 71.14.230.0/23 | 71.14.230.1 to 71.14.231.254 | 71.14.231.255 | 510 |
| 117 | 71.14.232.0/23 | 71.14.232.1 to 71.14.233.254 | 71.14.233.255 | 510 |
| 118 | 71.14.234.0/23 | 71.14.234.1 to 71.14.235.254 | 71.14.235.255 | 510 |
| 119 | 71.14.236.0/23 | 71.14.236.1 to 71.14.237.254 | 71.14.237.255 | 510 |
| 120 | 71.14.238.0/23 | 71.14.238.1 to 71.14.239.254 | 71.14.239.255 | 510 |
| 121 | 71.14.240.0/23 | 71.14.240.1 to 71.14.241.254 | 71.14.241.255 | 510 |
| 122 | 71.14.242.0/23 | 71.14.242.1 to 71.14.243.254 | 71.14.243.255 | 510 |
| 123 | 71.14.244.0/23 | 71.14.244.1 to 71.14.245.254 | 71.14.245.255 | 510 |
| 124 | 71.14.246.0/23 | 71.14.246.1 to 71.14.247.254 | 71.14.247.255 | 510 |
| 125 | 71.14.248.0/23 | 71.14.248.1 to 71.14.249.254 | 71.14.249.255 | 510 |
| 126 | 71.14.250.0/23 | 71.14.250.1 to 71.14.251.254 | 71.14.251.255 | 510 |
| 127 | 71.14.252.0/23 | 71.14.252.1 to 71.14.253.254 | 71.14.253.255 | 510 |
| 128 | 71.14.254.0/23 | 71.14.254.1 to 71.14.255.254 | 71.14.255.255 | 510 |
| 129 | 71.15.0.0/23 | 71.15.0.1 to 71.15.1.254 | 71.15.1.255 | 510 |
| 130 | 71.15.2.0/23 | 71.15.2.1 to 71.15.3.254 | 71.15.3.255 | 510 |
| 131 | 71.15.4.0/23 | 71.15.4.1 to 71.15.5.254 | 71.15.5.255 | 510 |
| 132 | 71.15.6.0/23 | 71.15.6.1 to 71.15.7.254 | 71.15.7.255 | 510 |
| 133 | 71.15.8.0/23 | 71.15.8.1 to 71.15.9.254 | 71.15.9.255 | 510 |
| 134 | 71.15.10.0/23 | 71.15.10.1 to 71.15.11.254 | 71.15.11.255 | 510 |
| 135 | 71.15.12.0/23 | 71.15.12.1 to 71.15.13.254 | 71.15.13.255 | 510 |
| 136 | 71.15.14.0/23 | 71.15.14.1 to 71.15.15.254 | 71.15.15.255 | 510 |
| 137 | 71.15.16.0/23 | 71.15.16.1 to 71.15.17.254 | 71.15.17.255 | 510 |
| 138 | 71.15.18.0/23 | 71.15.18.1 to 71.15.19.254 | 71.15.19.255 | 510 |
| 139 | 71.15.20.0/23 | 71.15.20.1 to 71.15.21.254 | 71.15.21.255 | 510 |
| 140 | 71.15.22.0/23 | 71.15.22.1 to 71.15.23.254 | 71.15.23.255 | 510 |
| 141 | 71.15.24.0/23 | 71.15.24.1 to 71.15.25.254 | 71.15.25.255 | 510 |
| 142 | 71.15.26.0/23 | 71.15.26.1 to 71.15.27.254 | 71.15.27.255 | 510 |
| 143 | 71.15.28.0/23 | 71.15.28.1 to 71.15.29.254 | 71.15.29.255 | 510 |
| 144 | 71.15.30.0/23 | 71.15.30.1 to 71.15.31.254 | 71.15.31.255 | 510 |
| 145 | 71.15.32.0/23 | 71.15.32.1 to 71.15.33.254 | 71.15.33.255 | 510 |
| 146 | 71.15.34.0/23 | 71.15.34.1 to 71.15.35.254 | 71.15.35.255 | 510 |
| 147 | 71.15.36.0/23 | 71.15.36.1 to 71.15.37.254 | 71.15.37.255 | 510 |
| 148 | 71.15.38.0/23 | 71.15.38.1 to 71.15.39.254 | 71.15.39.255 | 510 |
| 149 | 71.15.40.0/23 | 71.15.40.1 to 71.15.41.254 | 71.15.41.255 | 510 |
| 150 | 71.15.42.0/23 | 71.15.42.1 to 71.15.43.254 | 71.15.43.255 | 510 |
| 151 | 71.15.44.0/23 | 71.15.44.1 to 71.15.45.254 | 71.15.45.255 | 510 |
| 152 | 71.15.46.0/23 | 71.15.46.1 to 71.15.47.254 | 71.15.47.255 | 510 |
| 153 | 71.15.48.0/23 | 71.15.48.1 to 71.15.49.254 | 71.15.49.255 | 510 |
| 154 | 71.15.50.0/23 | 71.15.50.1 to 71.15.51.254 | 71.15.51.255 | 510 |
| 155 | 71.15.52.0/23 | 71.15.52.1 to 71.15.53.254 | 71.15.53.255 | 510 |
| 156 | 71.15.54.0/23 | 71.15.54.1 to 71.15.55.254 | 71.15.55.255 | 510 |
| 157 | 71.15.56.0/23 | 71.15.56.1 to 71.15.57.254 | 71.15.57.255 | 510 |
| 158 | 71.15.58.0/23 | 71.15.58.1 to 71.15.59.254 | 71.15.59.255 | 510 |
| 159 | 71.15.60.0/23 | 71.15.60.1 to 71.15.61.254 | 71.15.61.255 | 510 |
| 160 | 71.15.62.0/23 | 71.15.62.1 to 71.15.63.254 | 71.15.63.255 | 510 |
| 161 | 71.15.64.0/23 | 71.15.64.1 to 71.15.65.254 | 71.15.65.255 | 510 |
| 162 | 71.15.66.0/23 | 71.15.66.1 to 71.15.67.254 | 71.15.67.255 | 510 |
| 163 | 71.15.68.0/23 | 71.15.68.1 to 71.15.69.254 | 71.15.69.255 | 510 |
| 164 | 71.15.70.0/23 | 71.15.70.1 to 71.15.71.254 | 71.15.71.255 | 510 |
| 165 | 71.15.72.0/23 | 71.15.72.1 to 71.15.73.254 | 71.15.73.255 | 510 |
| 166 | 71.15.74.0/23 | 71.15.74.1 to 71.15.75.254 | 71.15.75.255 | 510 |
| 167 | 71.15.76.0/23 | 71.15.76.1 to 71.15.77.254 | 71.15.77.255 | 510 |
| 168 | 71.15.78.0/23 | 71.15.78.1 to 71.15.79.254 | 71.15.79.255 | 510 |
| 169 | 71.15.80.0/23 | 71.15.80.1 to 71.15.81.254 | 71.15.81.255 | 510 |
| 170 | 71.15.82.0/23 | 71.15.82.1 to 71.15.83.254 | 71.15.83.255 | 510 |
| 171 | 71.15.84.0/23 | 71.15.84.1 to 71.15.85.254 | 71.15.85.255 | 510 |
| 172 | 71.15.86.0/23 | 71.15.86.1 to 71.15.87.254 | 71.15.87.255 | 510 |
| 173 | 71.15.88.0/23 | 71.15.88.1 to 71.15.89.254 | 71.15.89.255 | 510 |
| 174 | 71.15.90.0/23 | 71.15.90.1 to 71.15.91.254 | 71.15.91.255 | 510 |
| 175 | 71.15.92.0/23 | 71.15.92.1 to 71.15.93.254 | 71.15.93.255 | 510 |
| 176 | 71.15.94.0/23 | 71.15.94.1 to 71.15.95.254 | 71.15.95.255 | 510 |
| 177 | 71.15.96.0/23 | 71.15.96.1 to 71.15.97.254 | 71.15.97.255 | 510 |
| 178 | 71.15.98.0/23 | 71.15.98.1 to 71.15.99.254 | 71.15.99.255 | 510 |
| 179 | 71.15.100.0/23 | 71.15.100.1 to 71.15.101.254 | 71.15.101.255 | 510 |
| 180 | 71.15.102.0/23 | 71.15.102.1 to 71.15.103.254 | 71.15.103.255 | 510 |
| 181 | 71.15.104.0/23 | 71.15.104.1 to 71.15.105.254 | 71.15.105.255 | 510 |
| 182 | 71.15.106.0/23 | 71.15.106.1 to 71.15.107.254 | 71.15.107.255 | 510 |
| 183 | 71.15.108.0/23 | 71.15.108.1 to 71.15.109.254 | 71.15.109.255 | 510 |
| 184 | 71.15.110.0/23 | 71.15.110.1 to 71.15.111.254 | 71.15.111.255 | 510 |
| 185 | 71.15.112.0/23 | 71.15.112.1 to 71.15.113.254 | 71.15.113.255 | 510 |
| 186 | 71.15.114.0/23 | 71.15.114.1 to 71.15.115.254 | 71.15.115.255 | 510 |
| 187 | 71.15.116.0/23 | 71.15.116.1 to 71.15.117.254 | 71.15.117.255 | 510 |
| 188 | 71.15.118.0/23 | 71.15.118.1 to 71.15.119.254 | 71.15.119.255 | 510 |
| 189 | 71.15.120.0/23 | 71.15.120.1 to 71.15.121.254 | 71.15.121.255 | 510 |
| 190 | 71.15.122.0/23 | 71.15.122.1 to 71.15.123.254 | 71.15.123.255 | 510 |
| 191 | 71.15.124.0/23 | 71.15.124.1 to 71.15.125.254 | 71.15.125.255 | 510 |
| 192 | 71.15.126.0/23 | 71.15.126.1 to 71.15.127.254 | 71.15.127.255 | 510 |
| 193 | 71.15.128.0/23 | 71.15.128.1 to 71.15.129.254 | 71.15.129.255 | 510 |
| 194 | 71.15.130.0/23 | 71.15.130.1 to 71.15.131.254 | 71.15.131.255 | 510 |
| 195 | 71.15.132.0/23 | 71.15.132.1 to 71.15.133.254 | 71.15.133.255 | 510 |
| 196 | 71.15.134.0/23 | 71.15.134.1 to 71.15.135.254 | 71.15.135.255 | 510 |
| 197 | 71.15.136.0/23 | 71.15.136.1 to 71.15.137.254 | 71.15.137.255 | 510 |
| 198 | 71.15.138.0/23 | 71.15.138.1 to 71.15.139.254 | 71.15.139.255 | 510 |
| 199 | 71.15.140.0/23 | 71.15.140.1 to 71.15.141.254 | 71.15.141.255 | 510 |
| 200 | 71.15.142.0/23 | 71.15.142.1 to 71.15.143.254 | 71.15.143.255 | 510 |
| 201 | 71.15.144.0/23 | 71.15.144.1 to 71.15.145.254 | 71.15.145.255 | 510 |
| 202 | 71.15.146.0/23 | 71.15.146.1 to 71.15.147.254 | 71.15.147.255 | 510 |
| 203 | 71.15.148.0/23 | 71.15.148.1 to 71.15.149.254 | 71.15.149.255 | 510 |
| 204 | 71.15.150.0/23 | 71.15.150.1 to 71.15.151.254 | 71.15.151.255 | 510 |
| 205 | 71.15.152.0/23 | 71.15.152.1 to 71.15.153.254 | 71.15.153.255 | 510 |
| 206 | 71.15.154.0/23 | 71.15.154.1 to 71.15.155.254 | 71.15.155.255 | 510 |
| 207 | 71.15.156.0/23 | 71.15.156.1 to 71.15.157.254 | 71.15.157.255 | 510 |
| 208 | 71.15.158.0/23 | 71.15.158.1 to 71.15.159.254 | 71.15.159.255 | 510 |
| 209 | 71.15.160.0/23 | 71.15.160.1 to 71.15.161.254 | 71.15.161.255 | 510 |
| 210 | 71.15.162.0/23 | 71.15.162.1 to 71.15.163.254 | 71.15.163.255 | 510 |
| 211 | 71.15.164.0/23 | 71.15.164.1 to 71.15.165.254 | 71.15.165.255 | 510 |
| 212 | 71.15.166.0/23 | 71.15.166.1 to 71.15.167.254 | 71.15.167.255 | 510 |
| 213 | 71.15.168.0/23 | 71.15.168.1 to 71.15.169.254 | 71.15.169.255 | 510 |
| 214 | 71.15.170.0/23 | 71.15.170.1 to 71.15.171.254 | 71.15.171.255 | 510 |
| 215 | 71.15.172.0/23 | 71.15.172.1 to 71.15.173.254 | 71.15.173.255 | 510 |
| 216 | 71.15.174.0/23 | 71.15.174.1 to 71.15.175.254 | 71.15.175.255 | 510 |
| 217 | 71.15.176.0/23 | 71.15.176.1 to 71.15.177.254 | 71.15.177.255 | 510 |
| 218 | 71.15.178.0/23 | 71.15.178.1 to 71.15.179.254 | 71.15.179.255 | 510 |
| 219 | 71.15.180.0/23 | 71.15.180.1 to 71.15.181.254 | 71.15.181.255 | 510 |
| 220 | 71.15.182.0/23 | 71.15.182.1 to 71.15.183.254 | 71.15.183.255 | 510 |
| 221 | 71.15.184.0/23 | 71.15.184.1 to 71.15.185.254 | 71.15.185.255 | 510 |
| 222 | 71.15.186.0/23 | 71.15.186.1 to 71.15.187.254 | 71.15.187.255 | 510 |
| 223 | 71.15.188.0/23 | 71.15.188.1 to 71.15.189.254 | 71.15.189.255 | 510 |
| 224 | 71.15.190.0/23 | 71.15.190.1 to 71.15.191.254 | 71.15.191.255 | 510 |
| 225 | 71.15.192.0/23 | 71.15.192.1 to 71.15.193.254 | 71.15.193.255 | 510 |
| 226 | 71.15.194.0/23 | 71.15.194.1 to 71.15.195.254 | 71.15.195.255 | 510 |
| 227 | 71.15.196.0/23 | 71.15.196.1 to 71.15.197.254 | 71.15.197.255 | 510 |
| 228 | 71.15.198.0/23 | 71.15.198.1 to 71.15.199.254 | 71.15.199.255 | 510 |
| 229 | 71.15.200.0/23 | 71.15.200.1 to 71.15.201.254 | 71.15.201.255 | 510 |
| 230 | 71.15.202.0/23 | 71.15.202.1 to 71.15.203.254 | 71.15.203.255 | 510 |
| 231 | 71.15.204.0/23 | 71.15.204.1 to 71.15.205.254 | 71.15.205.255 | 510 |
| 232 | 71.15.206.0/23 | 71.15.206.1 to 71.15.207.254 | 71.15.207.255 | 510 |
| 233 | 71.15.208.0/23 | 71.15.208.1 to 71.15.209.254 | 71.15.209.255 | 510 |
| 234 | 71.15.210.0/23 | 71.15.210.1 to 71.15.211.254 | 71.15.211.255 | 510 |
| 235 | 71.15.212.0/23 | 71.15.212.1 to 71.15.213.254 | 71.15.213.255 | 510 |
| 236 | 71.15.214.0/23 | 71.15.214.1 to 71.15.215.254 | 71.15.215.255 | 510 |
| 237 | 71.15.216.0/23 | 71.15.216.1 to 71.15.217.254 | 71.15.217.255 | 510 |
| 238 | 71.15.218.0/23 | 71.15.218.1 to 71.15.219.254 | 71.15.219.255 | 510 |
| 239 | 71.15.220.0/23 | 71.15.220.1 to 71.15.221.254 | 71.15.221.255 | 510 |
| 240 | 71.15.222.0/23 | 71.15.222.1 to 71.15.223.254 | 71.15.223.255 | 510 |
| 241 | 71.15.224.0/23 | 71.15.224.1 to 71.15.225.254 | 71.15.225.255 | 510 |
| 242 | 71.15.226.0/23 | 71.15.226.1 to 71.15.227.254 | 71.15.227.255 | 510 |
| 243 | 71.15.228.0/23 | 71.15.228.1 to 71.15.229.254 | 71.15.229.255 | 510 |
| 244 | 71.15.230.0/23 | 71.15.230.1 to 71.15.231.254 | 71.15.231.255 | 510 |
| 245 | 71.15.232.0/23 | 71.15.232.1 to 71.15.233.254 | 71.15.233.255 | 510 |
| 246 | 71.15.234.0/23 | 71.15.234.1 to 71.15.235.254 | 71.15.235.255 | 510 |
| 247 | 71.15.236.0/23 | 71.15.236.1 to 71.15.237.254 | 71.15.237.255 | 510 |
| 248 | 71.15.238.0/23 | 71.15.238.1 to 71.15.239.254 | 71.15.239.255 | 510 |
| 249 | 71.15.240.0/23 | 71.15.240.1 to 71.15.241.254 | 71.15.241.255 | 510 |
| 250 | 71.15.242.0/23 | 71.15.242.1 to 71.15.243.254 | 71.15.243.255 | 510 |
| 251 | 71.15.244.0/23 | 71.15.244.1 to 71.15.245.254 | 71.15.245.255 | 510 |
| 252 | 71.15.246.0/23 | 71.15.246.1 to 71.15.247.254 | 71.15.247.255 | 510 |
| 253 | 71.15.248.0/23 | 71.15.248.1 to 71.15.249.254 | 71.15.249.255 | 510 |
| 254 | 71.15.250.0/23 | 71.15.250.1 to 71.15.251.254 | 71.15.251.255 | 510 |
| 255 | 71.15.252.0/23 | 71.15.252.1 to 71.15.253.254 | 71.15.253.255 | 510 |
| 256 | 71.15.254.0/23 | 71.15.254.1 to 71.15.255.254 | 71.15.255.255 | 510 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |